﻿
		/*Below given are Scroll Classes for Sticking top (date-time) and left (vital-range and score) headings. 
		When showinfo parameter is true(meaning its not the print content), 
		these classes are added*/
		
		.fixheaddate
		{position: sticky;
		position: -webkit-sticky; /* Safari */
		top: 0px;z-index:2;
		background-color: white;
		}
		th.fixheaddate:first-child
		{z-index: 5;
		background-color: white;
		left: 0px;
		}
		.fixheadtime
		{
		position: sticky;
		position: -webkit-sticky; /* Safari */
		top: 53px;z-index:2;
		background-color: white;
		}
		th.fixheadtime:first-child
		{
		z-index: 5;
		background-color: white;
		left: 0px;
		}
		table tr th.fixedcols:first-child[rowspan]{
		position: sticky;
		position: -webkit-sticky; /* Safari */
		left:0px;z-index: 5;
		z-index: 2;
		}
		table tr th.fixedcols:first-child[rowspan] + th, table tr th.fixedcols:first-child:not([rowspan]) {
		position: sticky;
		position: -webkit-sticky; /* Safari */
		left:157px;
		z-index: 3;
		background-color: white;
		}
		table tr th.fixedcols:first-child[rowspan] + th + th, table tr th.fixedcols:first-child:not([rowspan])+th {
		position: sticky;
		position: -webkit-sticky; /* Safari */
		left: 238px;
		z-index: 4;
		background-color: white;
		}
		.fixedfooter
		{ 
		position: sticky;
		position: -webkit-sticky; /* Safari */
		z-index: 5;
		background-color: white;
		left: 0px;
		}
        
/*Below classess are for mews chart filters on top in the main page*/
    #div_filters
    {
    height:50px;
    background-color: rgb(225,225,225);
    padding-top:8px;    
    }          
	#div_top
	{
	margin-top:30px;
	width:100%;
	display: block;
	padding: 0px;
	}
	#tbl_filters
	{
		margin-top:10px;
	}
	/*Below classess are for mews chart info popup in main page*/
	#div_info
	{
	float:right;
	display:none;}
	#div_info table
	{
	font-size:9px;
	border:1px solid black;
	text-align:justify;
	}	
	#Mewsdialog table td
	{
	padding:10px;
	}	
	.dialogscore{min-width:65px;} 
	.txtdate
	{
	width: 160px;
	}
	pre	/*For mews dialog with line breaks*/
	{
	font-family: Arial, sans-serif;
	white-space: pre-wrap;       /* Since CSS 2.1 */
	white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
	white-space: -pre-wrap;      /* Opera 4-6 */
	white-space: -o-pre-wrap;    /* Opera 7 */
	word-wrap: break-word;  
	}	
	/*text showing mewschart from, to dates*/
	#datatext
	{
	width: 100%;
    margin-left: 0px;
    box-sizing: border-box;
	}
	
	/*div_mewschartscroll for main page and 
	div_mewschart for printpreview and print*/
	
	#div_mewschartscroll
	{
	display: block;
	overflow: auto;
	width: 100%;	
	padding:5px;
	box-sizing:border-box;
	border: 1px solid #e5e0e0;
	}	
	#div_mewschart
	{
	display: inline-block; 
	margin: 2px;
	margin: auto;
	min-width:900px;
	display: inline-block;
	overflow-x:auto;
	}       
	table.mewsdata
	{	
	border-collapse: separate;
	color: black;
	text-align: center;
	border-spacing:0px;
	table-layout:fixed;
	max-width:1024px !important;	
	/*margin: auto;	*/	/*To align mewschart to center, uncomment this*/
	}
	table.mewsdata td,table.mewsdata th{
	border-bottom: 1px solid #eeece1;
	border-right: 1px solid #eeece1;
	}
	table.mewsdata th{
	border-top: 1px solid #eeece1;
	}
	table.mewsdata th{font-weight:lighter;}
	tr:first-child th {
	border-bottom: none;
	}
	th.mewsscore
	{
	font-style:italic;
	min-width:30px !important;
	max-width:30px !important;
	/*height:18px;*/
	}	
	td.mewscols
	{
	min-width:55px;	/*Based on requirements change width*/
	max-width: 55px !important;/*Based on requirements change width*/
	height:15px !important;
	word-break:break-word;
	}
	
	th.mewsrangecols
	{
	min-width: 80px !important;	/*Based on requirements change width*/
	max-width: 80px !important;	/*Based on requirements change width*/
	word-break: break-word;
	/*height:18px;	*/
	}
	
	th.mewsdate
	{	
	height: 54px;
	/*min-width:30px !important;
	max-width: 30px !important;*/
	}	
	th.mewsdate div
	{
	transform:rotate(-90deg);
	display:inline-block;margin-left: 2%;
	}		
	th.mewstime
	{
	height:35px;
	/*min-width:30px !important;
	max-width: 30px !important;	*/
	}	
	th.mewstime div
	{
	transform:rotate(-90deg);
	display:inline-block;		
	}	
	th.mewstitles
	{
	background-color: rgb(238,236,225);
	min-width: 155px !important;
	max-width: 155px !important;	
	}
	th.mewstitles,th.datetitle,th.timetitle,th.foottitle {border-left:1px solid #eeece1;}
	tr.vitalseparation td
	{
	border-right:1px solid white;
	border-left:1px solid white;
	height: 4px;
	}	
	.divdot
	{
	height:8px;
	width:8px;
	border-radius:50%;
	background-color:Black;
	}	
	.chartlist
	{
	page-break-after: always;
	break-inside: avoid;
	padding-bottom:2px;
	border-bottom:1px dashed grey;
	}
	.chartlist:first-child {
	page-break-before: avoid;
	}
		
				/*AV*/
	/*
	.mews0	{	background-color: #FFFFFF;	}
	.mews1	{	background-color: #92D050;	}
	.mews2	{	background-color: #FFFF00;	}
	.mews3	{	background-color: #FFC000;	}
	.mews4	{	background-color: #FF0000;	}	
	*/
	
				/*GG*/
	.mews0	{	background-color: #FFFFFF;	}
	.mews1	{	background-color: #FFF112;	}
	.mews2	{	background-color: #F58634;	}
	.mews3	{	background-color: #EC3237;	}	
	
	 
        @media print        
        { 
			#div_mewschart
			{
			display: inline-block; /*border: 1px solid grey;*/
			margin: 2px;
			margin: auto;
			min-width:900px;
			display: inline-block;
			overflow-x:auto;
			} 
			
			table.mewsdata
			{
			table-layout:fixed;
			break-inside: avoid;
			max-width:1024px !important;
			/*margin: auto;	*/
			}			
			table.mewsdata,table.mewsdata th,table.mewsdata td
			{	
			border: 1px solid #eeece1;
			border-collapse: collapse;
			color: black;
			text-align: center;
			border-spacing:0px;
			}			
			table.mewsdata th{font-weight:lighter;}			
			th.mewsscore
			{
			font-style:italic;
			min-width:30px !important;
			max-width:30px !important;
			/*height:18px;*/
			}
			td.mewscols
			{
			min-width:55px;	/*Based on requirements change width*/
			max-width: 55px !important;/*Based on requirements change width*/
			height:15px !important;
			word-break:break-word;
			}
			th.mewsrangecols
			{
			min-width: 80px !important;	/*Based on requirements change width*/
			max-width: 80px !important;	/*Based on requirements change width*/
			word-break: break-word;
			/*height:18px;*/
			}
			th.mewsdate
			{
			height: 54px;
			/*min-width:30px !important;
			max-width: 30px !important;	*/
			}
			th.mewsdate div
			{
			transform:rotate(-90deg);
			display:inline-block;margin-left: 2%;
			}	
			th.mewstime
			{
			height:35px;
			/*min-width:30px !important;
			max-width: 30px !important;	*/
			}
			th.mewstime div
			{
			transform: rotate(-90deg);
			display:inline-block;			
			}
			th.mewstitles
			{
			background-color: rgb(238,236,225);
			min-width: 155px !important;
			max-width: 155px !important;
			}
			tr.vitalseparation td
			{
				border-right:1px solid white;
				border-left:1px solid white;
				height: 4px;
			}
			.divdot
			{
			height:8px;
			width:8px;
			border-radius:50%;
			background-color:Black;
			}
			.chartlist
			{
			page-break-after: always;
			break-inside: avoid;
			border-bottom:none;
			}
			.chartlist:first-child {
			page-break-before: avoid;
			}
					/*AV*/
			/*
			.mews0	{	background-color: #FFFFFF;	}
			.mews1	{	background-color: #92D050;	}
			.mews2	{	background-color: #FFFF00;	}
			.mews3	{	background-color: #FFC000;	}
			.mews4	{	background-color: #FF0000;	}	
			*/
	
						/*GG*/
			.mews0	{	background-color: #FFFFFF;	}
			.mews1	{	background-color: #FFF112;	}
			.mews2	{	background-color: #F58634;	}
			.mews3	{	background-color: #EC3237;	}	
	
				
        }
        .mewsth {height:22px;}